0.6.0 by Aleksey Cheusov Sun, 13 Sep 2009 10:00:37 +0300

    - Symbols "'`*\?&|; etc. are correctly escaped before eval'ed.
      As a result all these symbols are allowed in commands.
      For example,

        # the following command outputs ''??????{}!&| --- ??????{}!&|'''
        runpipe_base \
           awk 'BEGIN {print "+*<>(){}!&|"; exit 41}'  '|' \
           sed 's,[+*<>()],?,g' '|' \
           awk '{print $0 " --- " $0; exit 43}' '|' \
           awk "{print \"''\" \$0 \"'''\"; exit 44}"
        echo "$pipestatus_all" # '41 0 43 44'
        echo "$pipestatus_1"   # '41'
        echo "$pipestatus_2"   # '0'
        echo "$pipestatus_3"   # '43'
        echo "$pipestatus_4"   # '44'
        echo "$pipesize"       # '4'

      Regresion test for this case.

    - Support for shitty Solaris /bin/sh
       $(()) is replaced with expr(1),
       $() -- with ``,
       for i -- with for i in "$@"

    - Makefile: new target "test_all" for testing all available shells

0.5.0
    - 'check_status_re' and therefore 'runpipe_re' use 'grep -E'
      instead of 'grep' in order to simplify regexp that
      contains >=2 digit exit statuses.

      NOTE: Formally speaking this breaks backward compatibility.

    - If PIPESTATUS_VERBOSE variable is set to non-empty string, then
      check_status0 and check_status_re functions print an error
      message to stderr.

0.4.0
    - FIXED: 'check_status_re' and therefore 'runpipe_re'

    - ADDED: support for shells that do not support $10, $11 etc.
      That is now loooong pipes are supported in such shells.

    - FIXES: fixes for 'set -e' mode including those specific to
      Korn shell and its derivatives

    - ADDED: new variable 'pipestatus_all' is also
      set by runpipe* functions. It keeps exit statuses of
      all programs separated by space.

    - ADDED: script for testing pipestatus (selftest)
      and new Makefile target 'test'.
      Now you can test 'pipstatus' on with system by running
      '/your/favourite/shell selftest'
      or
      'make test' (/bin/sh is used in this case)

    - documentation updates

    - grep is used instead of egrep by 'check_status_re'

    - function 'pipestatus_clear_all_vars' removed

0.3.0
    better and more complete documentation in README file

0.2.0
    redirections are used instead of temporary file

0.1.0
    first publicly available release
